Skip to main content
GET
/
api
/
v2
/
getMasterchainBlockSignatures
Get masterchain block signatures
curl --request GET \
  --url https://toncenter.com/api/v2/getMasterchainBlockSignatures \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "result": {
    "@type": "blocks.blockSignatures",
    "id": {
      "@type": "ton.blockIdExt",
      "workchain": 123,
      "shard": "<string>",
      "seqno": 123,
      "root_hash": "<string>",
      "file_hash": "<string>"
    },
    "signatures": [
      {
        "@type": "blocks.signature",
        "node_id_short": "<string>",
        "signature": "<string>"
      }
    ]
  },
  "@extra": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key header of the form X-API-Key: <token>, where <token> is your API key. Requests without a key are limited to 1 RPS. More info here.

Query Parameters

seqno
integer<int32>
required

Masterchain block sequence number (block height). Used to query state at a specific point in time. If omitted, returns the current state.

Response

Returns validator signatures for the specified masterchain block.

ok
boolean
default:true
required

Returns true if the request succeeded; otherwise false. See the error field for details.

result
object
required

Response data. Present only when ok is true.

@extra
string

Optional request ID that you can pass in the request and receive back in the response. Useful for matching async responses.